# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Diddy Kong Racing Template

game: Diddy Kong Racing
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Diddy Kong Racing: 1.1.1 # Version of the world required for this yaml to work as expected.

Diddy Kong Racing:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  ###########
  # Victory #
  ###########
  victory_condition:
    # The victory condition for the seed:
    #     Beat Wizpig 1: Find the 4 Wizpig amulet pieces and beat the first Wizpig race. Future Fun Land items will not be randomized.
    #     Beat Wizpig 2: Get access to Future Fun Land, find the 4 T.T. amulet pieces and all 47 golden balloons, and beat the second Wizpig race.
    beat_wizpig_1: 50
    beat_wizpig_2: 0

  #########
  # Items #
  #########
  shuffle_wizpig_amulet:
    # Shuffle the 4 Wizpig amulet pieces into the item pool
    'false': 50
    'true': 0

  shuffle_tt_amulet:
    # Shuffle the 4 T.T. amulet pieces into the item pool
    'false': 50
    'true': 0

  #########
  # Doors #
  #########
  open_worlds:
    # All worlds, including Future Fun Land, will be open from the start
    'false': 50
    'true': 0

  door_requirement_progression:
    # The progression of door requirement amounts:
    #     Vanilla: Same requirement amounts as vanilla, roughly exponential with a big jump at the end of Dragon Forest
    #         Looks like this: [1, 1, 2, 2, 2, 3, 3, 5, 6, 6, 7, 8, 9, 10, 10, 10, 10, 11, 11, 13, 14, 16, 16, 16, 16, 17, 17, 18, 20, 20, 22, 22, 23, 24, 30, 37, 39, 40, 41, 42, 43, 44, 45, 46]
    #     Linear: Door requirements go up at a consistent rate
    #         Looks like this if max door requirement = 46: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 46]
    #     Exponential: Door requirements are clustered towards lower numbers, same trend as vanilla but without big gaps
    #         Looks like this if max door requirement = 46: [1, 1, 1, 1, 2, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 6, 7, 7, 8, 8, 9, 10, 11, 12, 12, 13, 14, 16, 17, 18, 19, 21, 22, 24, 25, 27, 29, 31, 33, 36, 38, 41, 44, 46]
    vanilla: 50
    linear: 0
    exponential: 0

  maximum_door_requirement:
    # Maximum balloon requirement for a numbered door (does not include the Wizpig 2 door). Only used if door requirement progression is not vanilla.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 46
    46: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-46: 0 # random value between 1 and 46

  shuffle_door_requirements:
    # The balloon requirements to open all numbered doors will be shuffled
    'false': 50
    'true': 0

  shuffle_race_entrances:
    # The race entrances behind all numbered doors will be shuffled
    'false': 50
    'true': 0

  ##########
  # Bosses #
  ##########
  boss_1_regional_balloons:
    # The number of regional balloons required to unlock boss race 1 for that region
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-4: 0 # random value between 0 and 4

  boss_2_regional_balloons:
    # The number of regional balloons required to unlock boss race 2 for that region
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-8: 0 # random value between 0 and 8

  wizpig_1_amulet_pieces:
    # The number of Wizpig amulet pieces required to unlock Wizpig race 1
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-4: 0 # random value between 0 and 4

  wizpig_2_amulet_pieces:
    # The number of T.T. amulet pieces required to unlock Wizpig race 2, along with the balloon requirement
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-4: 0 # random value between 0 and 4

  wizpig_2_balloons:
    # The number of balloons required to unlock Wizpig race 2, along with the T.T. amulet piece requirement
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 47
    47: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-47: 0 # random value between 0 and 47

  ############
  # Gameplay #
  ############
  track_version:
    # Whether regular race tracks will be Adventure 1 (normal) or Adventure 2 (faster CPUs, mirrored tracks, and harder silver coin placements)
    adventure_1: 50
    adventure_2: 0
    random_per_track: 0

  power_up_balloon_type:
    # Alter the power-up balloons in races (does not affect boss races):
    #     Random (visible): Power-up balloons will visually shuffle between all types.
    #     Random (hidden): Power-up balloons will shuffle between all types, but always appear rainbow.
    vanilla: 50
    random_visible: 0
    random_hidden: 0

  randomize_character_on_map_change:
    # Randomly change your character every time the map is changed
    'false': 50
    'true': 0

  #########
  # Other #
  #########
  randomize_music:
    # Randomize music
    'false': 50
    'true': 0

  skip_trophy_races:
    # Start with all 1st place trophies, so you only need to beat Wizpig 1 to unlock Future Fun Land
    'false': 0
    'true': 50

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
